#!/bin/bash

# mapWOC
#
# Description: Start script for tests.
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

# Start MASTERCTRL

export PYTHONPATH=$PYTHONPATH:lib

python masterctrl/masterctrl.py --config sample_data/master/master.config &
MASTERCTRL_PID="$!"

stat=$?
if [ $stat -ne  0 ]
then
  echo "Could not start master."
  exit 1
fi

# Start NODECTRL 

python nodectrl/nodectrl.py --config sample_data/node1/node.config &
NODECTRL1_PID="$!"
stat=$?
if [ $stat -ne 0 ]
then
  echo "Could not start node 1."
  kill 0
  exit 1
fi

python nodectrl/nodectrl.py --config sample_data/node2/node.config &
NODECTRL2_PID="$!"
stat=$?
if [ $stat -ne 0 ]
then
  echo "Could not start node 2."
  kill 0
  exit 1
fi

# Start REDIRECTOR

python redirector/redirector.py &
REDIRECTOR_PID="$!"
stat=$?
if [ $stat -ne 0 ]
then
  echo "Could not start redirector."
  kill 0
  exit 1
fi

echo "Master-PID: " $MASTERCTRL_PID
echo "Node1-PID  : " $NODECTRL1_PID
echo "Node2-PID  : " $NODECTRL2_PID
echo "Redirector-PID: " $REDIRECTOR_PID

trap "kill 0" SIGINT SIGTERM EXIT

wait

